Plugin Directory

Relevant - Related Posts by BestWebSoft

This plugin allows you to display related posts with similar words in category, tags, title or by adding special meta key for posts.

How to add Related Posts with shortcode?

Everything you need is to place the code [bws_related_posts] into the page or post.

I placed shortcode [bws_related_posts] in text widget and it doesn't work

You don't need to use shortcode in widget - Related Posts Plugin has it's own widget. You just need to drag it into the wigdet area.

What does mean radio buttons Category, Tags, Title & Key on the settings page?

Depending of your choise plugin display related post:

  • if you select option Category - related post will display by similar words in categories;
  • if you select option Tags related post will display by similar words in tags;
  • if you select option Title related post will display by similar words in title of the posts and pages;
  • if you select option Meta Key related post will display by meta key.

I choosed Meta Key in the settings, but it diplayes nothing

After you choosed "Meta Key" you should do follow:

  • go to the "All posts";
  • choose post which you want to display by our plugin;
  • click "edit";
  • bellow the form of post, you will see the next field: "Check 'Key' if you want to display this post with Related Posts Plugin";
  • check the radio button "Key";
  • save the post;
  • repeat all this step for each post you want to display as related.

I have some problems with the plugin's work. What Information should I provide to receive proper support?

Please make sure that the problem hasn't been discussed yet on our forum (http://support.bestwebsoft.com). If no, please provide the following data along with your problem's description:

  1. the link to the page where the problem occurs
  2. the name of the plugin and its version. If you are using a pro version - your order number.
  3. the version of your WordPress installation
  4. copy and paste into the message your system status report. Please read more here: Instruction on System Status

Requires: 3.8 or higher
Compatible up to: 4.3.1
Last Updated: 4 months ago
Active Installs: 2,000+


5 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,4,4
100,1,1 100,4,4
100,1,1 100,4,4
100,1,1 100,4,4
100,1,1 100,4,4
100,1,1 100,4,4